package com.bocloud.cmp.model;

import java.util.List;

/**
 * 端口组业务bean
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年11月23日
 */
public class PortGroupBean {
    private Long id;
    private String name;
    private String oldName;
    private String type;
    private Integer portNum;
    private String groupVal;
    private String remark;
    private Integer vlanId;
    private String trunkVlan;// 中继vlan
    private String vlanType;
    private Long switcherId;
    private String switcherName;
    private Long hostId;
    private String vdcName;
    private NetworkModel networkModel;
    private Boolean allowPromiscuous;// 是否接受混杂模式
    private Boolean macChanges;// 是否接受mac地址更改
    private Boolean forgedTransmits;// 是否接受伪传输
    private Boolean inTrafficEnabled;// 是否启用输入流量调整
    private Long inAverageBandWidth;// 输入流量平均带宽
    private Long inPeakBandWidth;// 输入流量带宽峰值
    private Long inBurstSize;// 输入流量突发大小
    private Boolean outTrafficEnabled;// 是否启用输出流量调整
    private Long outAverageBandWidth;// 输出流量平均带宽
    private Long outPeakBandWidth;// 输出流量带宽峰值
    private Long outBurstSize;// 输出流量突发大小
    private String policy;// 负载平衡
    private Boolean checkBeacon;// 网络故障切换检测
    private Boolean notifySwitches;// 通知交换机
    private Boolean rollingOrder;// 故障恢复
    private List<String> activeNics;// 活动适配器
    private List<String> standbyNics;// 备用适配器
    private Boolean ipfixEnabled;// NetFlow状态
    private List<String> activeUplinks;// 活动上行链路
    private List<String> standbyUplinks;// 备用上行链路
    private String blocked;// 是否阻止所有端口
    private Boolean disconnectConfigReset;// 断开连接时配置重置
    private Boolean allowOverridePolicy;// 允许替代端口策略

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the portNum
     */
    public Integer getPortNum() {
        return portNum;
    }

    /**
     * @param portNum the portNum to set
     */
    public void setPortNum(Integer portNum) {
        this.portNum = portNum;
    }

    /**
     * @return the groupVal
     */
    public String getGroupVal() {
        return groupVal;
    }

    /**
     * @param groupVal the groupVal to set
     */
    public void setGroupVal(String groupVal) {
        this.groupVal = groupVal;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the vlanId
     */
    public Integer getVlanId() {
        return vlanId;
    }

    /**
     * @param vlanId the vlanId to set
     */
    public void setVlanId(Integer vlanId) {
        this.vlanId = vlanId;
    }

    /**
     * @return the trunkVlan
     */
    public String getTrunkVlan() {
        return trunkVlan;
    }

    /**
     * @param trunkVlan the trunkVlan to set
     */
    public void setTrunkVlan(String trunkVlan) {
        this.trunkVlan = trunkVlan;
    }

    /**
     * @return the vlanType
     */
    public String getVlanType() {
        return vlanType;
    }

    /**
     * @param vlanType the vlanType to set
     */
    public void setVlanType(String vlanType) {
        this.vlanType = vlanType;
    }

    /**
     * @return the switcherId
     */
    public Long getSwitcherId() {
        return switcherId;
    }

    /**
     * @param switcherId the switcherId to set
     */
    public void setSwitcherId(Long switcherId) {
        this.switcherId = switcherId;
    }

    /**
     * @return the switcherName
     */
    public String getSwitcherName() {
        return switcherName;
    }

    /**
     * @param switcherName the switcherName to set
     */
    public void setSwitcherName(String switcherName) {
        this.switcherName = switcherName;
    }

    /**
     * @return the hostId
     */
    public Long getHostId() {
        return hostId;
    }

    /**
     * @param hostId the hostId to set
     */
    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @return the networkModel
     */
    public NetworkModel getNetworkModel() {
        return networkModel;
    }

    /**
     * @param networkModel the networkModel to set
     */
    public void setNetworkModel(NetworkModel networkModel) {
        this.networkModel = networkModel;
    }

    /**
     * @return the allowPromiscuous
     */
    public Boolean getAllowPromiscuous() {
        return allowPromiscuous;
    }

    /**
     * @param allowPromiscuous the allowPromiscuous to set
     */
    public void setAllowPromiscuous(Boolean allowPromiscuous) {
        this.allowPromiscuous = allowPromiscuous;
    }

    /**
     * @return the macChanges
     */
    public Boolean getMacChanges() {
        return macChanges;
    }

    /**
     * @param macChanges the macChanges to set
     */
    public void setMacChanges(Boolean macChanges) {
        this.macChanges = macChanges;
    }

    /**
     * @return the forgedTransmits
     */
    public Boolean getForgedTransmits() {
        return forgedTransmits;
    }

    /**
     * @param forgedTransmits the forgedTransmits to set
     */
    public void setForgedTransmits(Boolean forgedTransmits) {
        this.forgedTransmits = forgedTransmits;
    }

    /**
     * @return the inTrafficEnabled
     */
    public Boolean getInTrafficEnabled() {
        return inTrafficEnabled;
    }

    /**
     * @param inTrafficEnabled the inTrafficEnabled to set
     */
    public void setInTrafficEnabled(Boolean inTrafficEnabled) {
        this.inTrafficEnabled = inTrafficEnabled;
    }

    /**
     * @return the inAverageBandWidth
     */
    public Long getInAverageBandWidth() {
        return inAverageBandWidth;
    }

    /**
     * @param inAverageBandWidth the inAverageBandWidth to set
     */
    public void setInAverageBandWidth(Long inAverageBandWidth) {
        this.inAverageBandWidth = inAverageBandWidth;
    }

    /**
     * @return the inPeakBandWidth
     */
    public Long getInPeakBandWidth() {
        return inPeakBandWidth;
    }

    /**
     * @param inPeakBandWidth the inPeakBandWidth to set
     */
    public void setInPeakBandWidth(Long inPeakBandWidth) {
        this.inPeakBandWidth = inPeakBandWidth;
    }

    /**
     * @return the inBurstSize
     */
    public Long getInBurstSize() {
        return inBurstSize;
    }

    /**
     * @param inBurstSize the inBurstSize to set
     */
    public void setInBurstSize(Long inBurstSize) {
        this.inBurstSize = inBurstSize;
    }

    /**
     * @return the outTrafficEnabled
     */
    public Boolean getOutTrafficEnabled() {
        return outTrafficEnabled;
    }

    /**
     * @param outTrafficEnabled the outTrafficEnabled to set
     */
    public void setOutTrafficEnabled(Boolean outTrafficEnabled) {
        this.outTrafficEnabled = outTrafficEnabled;
    }

    /**
     * @return the outAverageBandWidth
     */
    public Long getOutAverageBandWidth() {
        return outAverageBandWidth;
    }

    /**
     * @param outAverageBandWidth the outAverageBandWidth to set
     */
    public void setOutAverageBandWidth(Long outAverageBandWidth) {
        this.outAverageBandWidth = outAverageBandWidth;
    }

    /**
     * @return the outPeakBandWidth
     */
    public Long getOutPeakBandWidth() {
        return outPeakBandWidth;
    }

    /**
     * @param outPeakBandWidth the outPeakBandWidth to set
     */
    public void setOutPeakBandWidth(Long outPeakBandWidth) {
        this.outPeakBandWidth = outPeakBandWidth;
    }

    /**
     * @return the outBurstSize
     */
    public Long getOutBurstSize() {
        return outBurstSize;
    }

    /**
     * @param outBurstSize the outBurstSize to set
     */
    public void setOutBurstSize(Long outBurstSize) {
        this.outBurstSize = outBurstSize;
    }

    /**
     * @return the policy
     */
    public String getPolicy() {
        return policy;
    }

    /**
     * @param policy the policy to set
     */
    public void setPolicy(String policy) {
        this.policy = policy;
    }

    /**
     * @return the checkBeacon
     */
    public Boolean getCheckBeacon() {
        return checkBeacon;
    }

    /**
     * @param checkBeacon the checkBeacon to set
     */
    public void setCheckBeacon(Boolean checkBeacon) {
        this.checkBeacon = checkBeacon;
    }

    /**
     * @return the notifySwitches
     */
    public Boolean getNotifySwitches() {
        return notifySwitches;
    }

    /**
     * @param notifySwitches the notifySwitches to set
     */
    public void setNotifySwitches(Boolean notifySwitches) {
        this.notifySwitches = notifySwitches;
    }

    /**
     * @return the rollingOrder
     */
    public Boolean getRollingOrder() {
        return rollingOrder;
    }

    /**
     * @param rollingOrder the rollingOrder to set
     */
    public void setRollingOrder(Boolean rollingOrder) {
        this.rollingOrder = rollingOrder;
    }

    /**
     * @return the activeNics
     */
    public List<String> getActiveNics() {
        return activeNics;
    }

    /**
     * @param activeNics the activeNics to set
     */
    public void setActiveNics(List<String> activeNics) {
        this.activeNics = activeNics;
    }

    /**
     * @return the standbyNics
     */
    public List<String> getStandbyNics() {
        return standbyNics;
    }

    /**
     * @param standbyNics the standbyNics to set
     */
    public void setStandbyNics(List<String> standbyNics) {
        this.standbyNics = standbyNics;
    }

    /**
     * @return the ipfixEnabled
     */
    public Boolean getIpfixEnabled() {
        return ipfixEnabled;
    }

    /**
     * @param ipfixEnabled the ipfixEnabled to set
     */
    public void setIpfixEnabled(Boolean ipfixEnabled) {
        this.ipfixEnabled = ipfixEnabled;
    }

    /**
     * @return the activeUplinks
     */
    public List<String> getActiveUplinks() {
        return activeUplinks;
    }

    /**
     * @param activeUplinks the activeUplinks to set
     */
    public void setActiveUplinks(List<String> activeUplinks) {
        this.activeUplinks = activeUplinks;
    }

    /**
     * @return the standbyUplinks
     */
    public List<String> getStandbyUplinks() {
        return standbyUplinks;
    }

    /**
     * @param standbyUplinks the standbyUplinks to set
     */
    public void setStandbyUplinks(List<String> standbyUplinks) {
        this.standbyUplinks = standbyUplinks;
    }

    /**
     * @return the blocked
     */
    public String getBlocked() {
        return blocked;
    }

    /**
     * @param blocked the blocked to set
     */
    public void setBlocked(String blocked) {
        this.blocked = blocked;
    }

    /**
     * @return the disconnectConfigReset
     */
    public Boolean getDisconnectConfigReset() {
        return disconnectConfigReset;
    }

    /**
     * @param disconnectConfigReset the disconnectConfigReset to set
     */
    public void setDisconnectConfigReset(Boolean disconnectConfigReset) {
        this.disconnectConfigReset = disconnectConfigReset;
    }

    /**
     * @return the allowOverridePolicy
     */
    public Boolean getAllowOverridePolicy() {
        return allowOverridePolicy;
    }

    /**
     * @param allowOverridePolicy the allowOverridePolicy to set
     */
    public void setAllowOverridePolicy(Boolean allowOverridePolicy) {
        this.allowOverridePolicy = allowOverridePolicy;
    }

    /**
     * @return the oldName
     */
    public String getOldName() {
        return oldName;
    }

    /**
     * @param oldName the oldName to set
     */
    public void setOldName(String oldName) {
        this.oldName = oldName;
    }
}
